Subject: Re: [PATCH] Compile fix for MSVC: Move poll.h out of sys-folder

From: Vincent van Ravesteijn <[email-masked]>
Date: Fri, 18 Nov 2011 15:42:07 +0100

> This looks strange to me. vcbuild/include/poll.h will only prevent the
> correct header from being included, while compiling an linking against
> compat/win32/poll.[co]... That seems dangerous to me, because the
> interface might be declared differently.
>
> Instead, I think compat/vcbuild/include/poll.h should be removed,

Yes, it should just be removed. Having poll.h in the sys directory was 
wrong and the patch I sent was needed to make 0f77dea compile.

Your patch is indeed necessary to compile later revisions as well.

> I still can't build Junio's master,
> due to sys/resource.h missing. This comes from ebae9ff ("compat: add
> missing #include<sys/resource.h>"), and is only guarded against
> MinGW, not MSVC...

The fix for this is already in 'next' now. So, with your patch, 'next' 
does compile.

Vincent